X

The Latest Oracle E-Business Suite Technology News direct from
Oracle E-Business Suite Development & Product Management

Internet Explorer 8 Certified with E-Business Suite Release 11i

Steven Chan
Senior Director
ie8_logo_125.png

[Aug. 9, 2013 update: IE 10 is now certified with EBS]

I'm very pleased to announce that Microsoft Internet Explorer 8 is now certified as a client browser for Oracle E-Business Suite Release 11i.  IE 8 Support Requires Forms6i Patchset 19 If you're running either Forms6i Patchset 18 or earlier in your EBS 11i environment, you will need to apply Forms6i Patchset 19 to get support for Internet Explorer 8 (IE 8). E-Business Suite Release 11i Prerequisites

  • Oracle Applications 11.5.10 plus Maintenance Pack 11.5.10 CU2 or later
  • Oracle Applications Technology 11i.ATG_PF.H Rollup 6 (RUP 6, Patch 5903765) or later
  • Oracle Forms6i Patchset 19 (6.0.8.28.x) (Note 125767.1)
  • Forms6i MLR Patch 8888184
  • Desktop client on:
    • Windows XP Service Pack 2 or 3
    • Windows Vista Service Pack 1 or 2
    • Sun JRE 1.5.0_12 or later, or JRE 1.6.0_03 or later
References Related Articles

Join the discussion

Comments ( 34 )
  • Chris Bittakis Thursday, October 8, 2009

    Steven,

    This is great news! Just to confirm, you must convert from JIniiator to Sun JRE in order to use IE8 ?

    Thanks,

    Chris


  • Steven Chan Thursday, October 8, 2009

    Hi, Chris,

    Yes, we're pretty pleased to have completed this certification.

    JInitiator and IE 8 actually unrelated to each other. Oracle JInitiator 1.3 is no longer eligible for Premier Support as of July 2009. See this article:

    Roundup: Oracle JInitiator 1.3 Desupported for EBS Customers in July 2009 - http://blogs.oracle.com/stevenChan/2009/06/roundup_oracle_jinitiator_13_desupported_in_july_2.html

    Therefore, the native Sun JRE plugin is the only Java client certified for Oracle E-Business Suite Release 11i users as of today, for all currently certified versions of Firefox or IE browsers.

    Regards,

    Steven


  • Jody Thursday, October 8, 2009

    This is great news. Just a quick question that I can't seem to find an answer to on Metalink. In our situation the only thing that we need to do is apply the devloper patch 8888184. What we need to know is can this patch be applied ahead of IE8 and still support older IE vesrions? We are currently still on IE6 and just want to make sure that it is safe to apply the patch ahead of our company rolling out IE8. Thanks!


  • Steven Chan Thursday, October 8, 2009

    Hi, Jody,

    Thanks -- we're pretty pleased that we've completed this certification, too.

    Yes, you can safely apply Patch 8888184 to your E-Business Suite environment in advance of your IE 8 rollout. That patch updates Forms6i to handle IE 8 Forms-based requests properly, and has no other effects on existing Forms functionality or users of other browsers.

    Regards,

    Steven


  • Chris Peer Thursday, October 29, 2009

    Steve,

    Recently tried to apply the Technology Rollup 7, since the Rollup 6(5903765) was superceded by this 6241631. When applying the patch I am getting a Cannot open patch file error, error occurred in version checking:

    /home/oradevc/patches/6241631/fnd/media/PSBBRAND.gifCannot open patch file:

    /home/oradevc/patches/6241631/fnd/media/psbbrand.gif

    Have you ever seen that before?


  • Steven Chan Thursday, October 29, 2009

    Hi, Chris,

    Haven't heard about any packaging issues with RUP 7. It's been downloaded over a thousand times so far, so I suspect that your patch download might have gotten bitten by sunspots or something similar. I'd recommend downloading the patch again, or at minimum, running an MD5 checksum against your current copy to see whether it's okay.

    If you still have problems, your best bet would be to log a formal Service Request via My Oracle Support (formerly Metalink) to get one of our specialists engaged.

    Please feel free to forward your Service Request number to me if it gets stuck in the support process for some reason.

    Regards,

    Steven


  • Chris Friday, October 30, 2009

    Steve,

    Thank you very much for the reply. I have figured out the issue is that I unzipped the patch in a windows environment and then transfered the patch to Linux. I am new to Oracle in a sense, and didn't realize the case sensitivity of the platform.

    Chris


  • Steven Chan Friday, October 30, 2009

    Hi, Chris,

    Glad to hear that you managed to work that out. Sometimes it's the little things that bite us. Come to think of it, it's nearly always the little things, like typos on the command line. ;-)

    Good luck with the rest of your implementation.

    Regards,

    Steven


  • Simo Tuesday, November 10, 2009

    Hi Steven,

    In general when browser comes supported by e-business suite does it mean that all modules which can be installed can be used then with that browser and support will work on resolving issues in them?

    br,

    Simo


  • Steven Chan Wednesday, November 11, 2009

    Hi, Simo,

    Yes, that's right. When we say "IE 8 is certified with EBS 11i" that means all EBS 11i product modules.

    There are rare times when a specific EBS product module might have a quirk or compatibility issue with a given browser release. In those cases, the issues are documented as Known Issues in the respective EBS+browser documentation.

    Regards,

    Steven


  • Simo Thursday, November 12, 2009

    Hi Steven,

    thanks for info - was just wondering since we recently did our jre migration from jinit and had issues with one of the modules and to our surprise heard that firefox isn't supported with that particular module.

    Seems we just need to stick with IE for that module, luckily not really wide module for us.

    br,

    SImo


  • Steven Chan Thursday, November 12, 2009

    Hi, Simo,

    Which module are you having JRE issues with? Is it already documented as a Known Issue in our 11i JRE conversion Note?

    Regards,

    Steven


  • Simo Friday, November 13, 2009

    Hi Steven,

    Demand Planning - I at least couldn't see anywhere info about it being not supported with firefox in the known issues section. Might be good to add there, if you want I can email you the reference tar.

    br,

    Simo


  • Steven Chan Friday, November 13, 2009

    Hi, Simo,

    Yes, please email me your Service Request number. I'm not currently aware of any Demand Planning exceptions and would like to have my team investigate further.

    Regards,

    Steven


  • Thu Nguyen Friday, December 4, 2009

    Hi Steven,

    We're testing Windows 7 on ebs 11.5.10.2 with Sun java 1.6.0_17, and after logging in, it's giving us the error, 'java.lang.ClassFormatError:Incompatible magic value 1011373133 in class file oracle/apps/fnd/formsClient/FormsLauncher'. I've checked on Metalink but did not see any hits. Have you seen this error?

    Thanks

    Thu


  • Steven Chan Monday, December 7, 2009

    Hi, Thu,

    I'm sorry to hear that you're having trouble with this combination, but Windows 7 isn't certified with the E-Business Suite yet. Our last update on this pending certification is published here:

    Interim Update #2: Certifying Windows 7 with Oracle E-Business Suite

    http://blogs.oracle.com/stevenChan/2009/10/interim_update_2_certifying_windows_7_ebs.html

    I don't have firm schedules for this certification yet, but you're welcome to monitor or subscribe to this blog for updates, which I'll post as soon as soon as they're available.

    Regards,

    Steven


  • Jody Thursday, December 17, 2009

    Steven,

    We just applied the forms patch in order to be IE8 compatible and was wondering if you could provide us some direction on how to best test it out. Can you provide some forms that were known to have issues with IE8 before the forms patch that we can use to test? We run financials and hr/payroll. Thanks!


  • Steven Chan Thursday, December 17, 2009

    Jody,

    I would recommend running through your major Forms-based Financials, HR, and Payroll business flows, since those are the products that you've implemented. Good luck with your rollout.

    Regards,

    Steven


  • Chetan Shroff Thursday, January 28, 2010

    Hi

    We are on 11.5.9 and would like whether IE 8 is compatible with the same. Is there a need to install specific patches / plugins. Please advise.

    Thanks and Regards

    Chetan


  • Steven Chan Thursday, January 28, 2010

    Hi, Chetan,

    IE 8 was released in Mar 2009. Premier Support for Apps 11.5.9 ended in June 2008. We didn't perform any certification tests of IE 8 with Apps 11.5.9, so we don't have any informed opinions about whether this particular combination would work for all products, languages, JRE releases, and other configurations. Gut feel, I suspect that there might be issues, based upon our testing of IE 8 with 11.5.10.2.

    My primary recommendation would be for you to upgrade to Apps 11.5.10.2, which has the added (and not insignificant) benefit of getting your environment to a level covered by Premier Support.

    If you're unable to do that for some reason, and really have no option but to roll out IE 8 across your firm's desktops against 11.5.9, I would strongly recommend that you conduct thorough and in-depth testing of all of your E-Business Suite products in use with IE 8 prior to a widescale deployment.

    We would not be able to provide new patches for any issues that you encounter with that configuration, but at least you will be forewarned and forearmed with information about the issues that your end-users will face with that browser.

    Regards,

    Steven


  • thomas zerbe Monday, February 8, 2010

    Is IE8 certified with Agile and Demantra?


  • Steven Chan Monday, February 8, 2010

    Hi, Tom,

    I'm afraid that I don't know. I'm part of the E-Business Suite division and don't have much visibility into those two products' certifications.

    Your best bet would be to log a formal Service Request via My Oracle Support (formerly Metalink) to get one of our specialists engaged.

    Regards,

    Steven


  • Tom Weller Friday, February 19, 2010

    Steven,

    GE has started to test IE8 with Web ADI and has entered SR 3-1430292251 to report the following error:

    ### Detailed Problem Statement ###

    In One machine:

    In Excel:

    Run-time error '1004';

    Methid 'VBProject' of object '_Workbook' failed

    In the Web:

    Exception Name: oracle.apps.bne.exception.BneFatalException - A system error has occurred. Have your system administrator view the bne.log file.

    Log File Bookmark: 79480

    In other machine:

    In Web:

    Error: -2147221080 SYstemld:

    The Support Analyst assigned to the SR provied this feedback to GE: "IE 8 is not supported with WebADI, only version 6.0 is for 11i and R12"

    Can you please co-orborate whether that is a correct statement ?

    Thank you,

    - Tom


  • Steven Chan Tuesday, February 23, 2010

    Tom,

    I'm afraid that Support's assessment is incorrect. IE8 is certified with all E-Business Suite components including WebADI. I'll follow up with you offline.

    Regards,

    Steven


  • Amir Hameed Friday, April 23, 2010

    Hi Steven,

    I need clarification on whether it is possible to open multiple forms sessions from either different tabs of the IE8 browser or altogether from different sessions of IE8 on a Windows7 WS. We have a few 11.5.10.2 environments that have been leveled up to all the required patches for IE8/Windows7. I am able to go into the 11i apps and open forms without any issue. But, when I open another simultaneous 11i session either from a different tab or from a different IE8 session, I get the following error:

    ------------------------------

    FRM-92050: Failed to connect to the Server: /forms/formservlet-1

    Details...

    Java.Exception

    java.io.IOException:Negative content-length from http://mc0300ux188.apps.mc.xerox.com:8039/forms/formsservlet?ifcmd=getinfoifhost=....

    at oracle.forms.net.HTTPNStream.doGet(Unknown Source)

    at oracle.forms.net.HTTPNStream.getInfoFromServlet(Unknown Source)

    -------------------------------

    This functionality works fine from IE7 browser. I opened an SR (3-1692022591) and the analyst is telling me that this is the intended behavior which I find hard to believe. Can you please confirm whether it is supported to open multiple forms sessions of the 11i apps from different browser sessions or not. I need to let the management know and I want to be 100% sure that I convey to them the right response.

    Your help will be greatly appreciated.

    Thanks

    Amir


  • Steven Chan Tuesday, April 27, 2010

    Hi, Amir,

    The Support Engineer assigned to your SR has also contacted me about this. I've asked one of my senior development engineers to coordinate with Support on this. They'll be updating your SR directly with their recommendations.

    Regards,

    Steven


  • Amir Hameed Wednesday, April 28, 2010

    Hi Steven,

    Thank you. Just to update you that I converted the 11.5.10.2 environment, where I was running all my tests, from Form Servlet to Form Server and after that, I was able to open multiple forms sessions from diffferent IE8 browser sessions. I have already updated the SR with this information.

    Thanks

    Amir


  • Amaresh Saturday, May 7, 2011
    Hi Steven -
    We have recently upgraded to JRE1.6.0_17, forms p19 on IBM AIX. Users are complaining that their forms session is freezing intermittently with IE8. Is there any know issues of IE8, JRE1.6 ?
    Regards
    Amaresh
  • Steven Chan Monday, May 9, 2011
    Hi, Amaresh,
    We haven't seen this issue reported with IE8.
    I'm sorry to hear that you've encountered an issue with this.
    Your best bet would be to log a formal Service Request via My Oracle Support (formerly Metalink) to get one of our specialists engaged.
    Please feel free to forward your Service Request number to me if it gets stuck in the support process for some reason.
    Regards,
    Steven
  • Amaresh Monday, May 9, 2011
    Hi Steven -
    Thank you for your response. I have already logged a SR 3-3507557981 with ATG group.
    Regards,
    Amaresh
  • reddy Monday, August 15, 2011

    Recently upgraded to IE8. Users lost functionality to export to Acrobat any report generated to Notification URL.

    We are on 11.5.10

    Any thoughts or ideas on what the issue could be and how to reslove it.

    Thanks

    Reddy


  • Steven Chan Monday, August 15, 2011

    Hi, Reddy,

    I'm sorry to hear that you've encountered an issue with this. I suspect that this is more of an issue with Acrobat and IE8. Your first stop might be to log a help ticket with Adobe Support for this.

    If IE 8 + Acrobat works generically, and you can isolate the behaviour to a specific testcase within EBS 11i, then you should log a formal Service Request via My Oracle Support (formerly Metalink) to get one of our specialists engaged.

    Regards,

    Steven


  • guest Thursday, December 6, 2012

    Hi Steven,

    Thanks for this page it is very helpful.

    Facing an error as given below, when we access forms in EBS 11i in IE8 and Jinitiator - JInitiator_1.3.1.21

    Could you please let me know how could we resolve this?

    I am supporting this applications only for the users (so mainly) desktop clients are under my control.

    /dev60cgi/f60cgi?&appletmode=nonforms&HTMLpageTitle=&HTMLpreApplet=&code=oracle/apps/fnd/formsClient/FormsLauncher.class&width=400&height=100&archive=/OA_JAVA/oracle/apps/fnd/jar/fndforms.jar,/OA_JAVA/oracle/apps/fnd/jar/fndformsi18n.jar,/OA_JAVA/oracle/apps/fnd/jar/fndewt.jar,/OA_JAVA/oracle/apps/fnd/jar/fndswing.jar,/OA_JAVA/oracle/apps/fnd/jar/fndbalishare.jar,/OA_JAVA/oracle/apps/fnd/jar/fndaol.jar,/OA_JAVA/oracle/apps/fnd/jar/fndctx.jar,/OA_JAVA/oracle/apps/fnd/jar/fndlist.jar&gp14=jinit_appletcache&gv14=offjinit_appletcache=off&gp2=resp_app&gv2=SYSADMIN&gp3=resp&gv3=SYSTEM_ADMINISTRATOR&gp4=sec_group&gv4=STANDARD&gp5=function&gv5=FND_FNDCPQCR_SYS&gp6=other_params&gv6=&gp7=forms_url&

    Regards

    Joseph


  • Bill Sawyer Friday, December 7, 2012

    Joseph,

    Your best option would be to log a formal Service Request via My Oracle Support (formerly Metalink) to get one of our specialists engaged. Please feel free to forward your Service Request number to me if it gets stuck in the support process for some reason.

    Regards,

    Bill


Please enter your name.Please provide a valid email address.Please enter a comment.CAPTCHA challenge response provided was incorrect. Please try again.